package compbio.beans;

import java.util.LinkedHashMap;
import java.util.Map;

import compbio.cassandra.PredictionIndex;

public class JobBean implements PredictionIndex {
	private String jobid;
	private String dateStart;
	private String dateEnd;
	private String sequence;
	private String ip;
	private String programmeName;
	private String version;
	private LinkedHashMap<String, String> predictions;

	public JobBean(String seq, String id, String dateStart, String dateEnd, String ip, Map<String, String> pred, String prog, String version) {
		this.sequence = seq;
		this.programmeName = prog;
		this.version = version;
		this.jobid = id;
		this.dateStart = dateStart;
		this.dateEnd = dateEnd;
		this.ip = ip;
		this.predictions = new LinkedHashMap<String, String>();
		setPredictions(pred);
	}

	public void setPredictions(Map<String, String> pred) {
		if (predictions == null)
			predictions = new LinkedHashMap<String, String>();
		for (String index : predIndex) {
			this.predictions.put(index, pred.get(index));
		}
	}

	public String getSequence() {
		return sequence;
	}

	public String getJobid() {
		return jobid;
	}

	public String getDateStart() {
		return dateStart;
	}

	public String getDateEnd() {
		return dateEnd;
	}

	public String getIp() {
		return ip;
	}
	
	public String getProgrammeName() {
		return programmeName;
	}
	
	public String getVersion() {
		return version;
	}

	public Map<String, String> getPrediction() {
		return predictions;
	}
}
